Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5099)
@@ -1,5 +1,5 @@
 ! $Id$
-!
-!
+
+
 MODULE lmdz_lscp_old
 CONTAINS
@@ -13,6 +13,4 @@
      cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-
-  !
   USE icefrac_lsc_mod ! compute ice fraction (JBM 3/14)
   USE lmdz_cloudth, only : cloudth, cloudth_v3, cloudth_v6
@@ -58,7 +56,7 @@
   include "YOETHF.h"
   include "FCTTRE.h"
-  !
+
   ! Principaux inputs:
-  !
+
   REAL, INTENT(IN)                              :: dtime  ! intervalle du temps (s)
   INTEGER, INTENT(IN)                           :: klon, klev
@@ -70,17 +68,17 @@
   INTEGER,                         INTENT(IN)   :: iflag_cld_th
   INTEGER,                         INTENT(IN)   :: iflag_ice_thermo
-  !
+
   ! Inputs lies aux thermiques
-  ! 
+
   REAL, DIMENSION(klon,klev),      INTENT(IN)   :: ztv
   REAL, DIMENSION(klon,klev),      INTENT(IN)   :: zqta, fraca 
   REAL, DIMENSION(klon,klev),      INTENT(IN)   :: zpspsk, ztla
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)   :: zthl
-  !
+
   !  Input/output
   REAL, DIMENSION(klon,klev),      INTENT(INOUT):: ratqs  ! determine la largeur de distribution de vapeur
-  !
+
   ! Principaux outputs:
-  !
+
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: d_t  ! incrementation de la temperature (K)
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: d_q  ! incrementation de la vapeur d'eau
@@ -98,12 +96,12 @@
   !AA
   ! Coeffients de fraction lessivee : pour OFF-LINE
-  !
+
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)  :: pfrac_nucl
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)  :: pfrac_1nucl
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)  :: pfrac_impa
-  !
+
   ! Fraction d'aerosols lessivee par impaction et par nucleation
   ! POur ON-LINE
-  !
+
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: frac_impa
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: frac_nucl
@@ -112,7 +110,6 @@
   !AA
   ! --------------------------------------------------------------------------------
-  !
+
   ! Options du programme:
-  !
 
   REAL :: smallestreal
@@ -124,7 +121,7 @@
   REAL, PARAMETER :: ztfondue=278.15
   ! --------------------------------------------------------------------------------
-  !
+
   ! Variables locales:
-  !
+
   INTEGER :: i, k, n, kk
   REAL :: qsl, qsi
@@ -165,26 +162,26 @@
 ! Variable pour conservation enegie des precipitations
   REAL, DIMENSION(klon) :: zmqc
-  !
+
   LOGICAL, SAVE :: appel1er=.TRUE.
   !$OMP THREADPRIVATE(appel1er)
-  !
+
 ! iflag_oldbug_fisrtilp=0 enleve le BUG par JYG : tglace_min -> tglace_max
 ! iflag_oldbug_fisrtilp=1 ajoute le BUG
   !---------------------------------------------------------------
-  !
+
   ! Fonctions en ligne:
-  !
+
   REAL ::  fallvs,fallvc, zzz ! Vitesse de chute pour cristaux de glace
                      ! (Heymsfield & Donner, 1990)
   fallvc (zzz) = 3.29/2.0 * ((zzz)**0.16) * ffallv_con
   fallvs (zzz) = 3.29/2.0 * ((zzz)**0.16) * ffallv_lsc
-  !
+
   !---------------------------------------------------------------
   !AA Variables traceurs:
   !AA  Provisoire !!! Parametres alpha du lessivage
   !AA  A priori on a 4 scavenging # possibles
-  !
+
   ! Variables intermediaires
-  !
+
   REAL :: zalpha_tr, zfrac_lessi
   REAL, DIMENSION(klon) :: zprec_cond
@@ -198,6 +195,4 @@
   REAL :: zm_solid
 
-
-  !
   !ym
 !CR: pour iflag_ice_thermo=2, on active que la convection
@@ -230,5 +225,5 @@
      ENDIF
      appel1er = .FALSE.
-     !
+
      !cdir collapse
      DO k = 1, klev
@@ -242,5 +237,5 @@
 
   ENDIF          !  test sur appel1er
-  !
+
   !MAf Initialisation a 0 de zoliq
   !      DO i = 1, klon
@@ -249,5 +244,5 @@
   ! Determiner les nuages froids par leur temperature
   !  nexpo regle la raideur de la transition eau liquide / eau glace.
-  !
+
 !CR: on est oblige de definir des valeurs fisrt car les valeurs de newmicro ne sont pas les memes par defaut
   IF (iflag_t_glace==0) THEN
@@ -269,7 +264,7 @@
 !>AJ
   !cc      nexpo = 1
-  !
+
   ! Initialiser les sorties:
-  !
+
   !cdir collapse
   DO k = 1, klev+1
@@ -299,7 +294,7 @@
      zoliq(i)=0.
      !     ENDDO
-     !
+
      ! Initialiser le flux de precipitation a zero
-     !
+
      !     DO i = 1, klon
      zrfl(i) = 0.0
@@ -317,6 +312,6 @@
      zneb(i) = seuil_neb
   ENDDO
-  !
-  !
+
+
   !AA Pour plus de securite 
 
@@ -325,12 +320,12 @@
 
   !AA==================================================================
-  !
+
   ncoreczq=0
   ! BOUCLE VERTICALE (DU HAUT VERS LE BAS)
-  !
+
   DO k = klev, 1, -1
-     !
+
      !AA===============================================================
-     !
+
      ! Initialisation temperature et vapeur
      DO i = 1, klon
@@ -338,5 +333,5 @@
         zq(i)=q(i,k)
      ENDDO
-     !
+
      ! ----------------------------------------------------------------
      ! P0> Thermalisation des precipitations venant de la couche du dessus
@@ -351,5 +346,5 @@
      !   -  zt: temperature de la cocuhe
      !   - zmqc: masse de precip qui doit etre thermalisee
-     !
+
      IF(k<=klev-1) THEN
         DO i = 1, klon
@@ -379,5 +374,5 @@
         ENDDO
      ENDIF ! end IF(k.LE.klev-1)
-     !
+
      ! ----------------------------------------------------------------
      ! P1> Calcul de l'evaporation de la precipitation
@@ -390,5 +385,5 @@
      !   - zq, zt: humidite et temperature de la cocuhe
      !   - zmqc: masse de precip qui doit etre thermalisee
-     !
+
      IF (iflag_evap_prec>=1) THEN
         DO i = 1, klon
@@ -475,5 +470,5 @@
            ENDIF ! (zrfl(i)+zifl(i).GT.0.)
         ENDDO
-!
+
        ELSE ! (.NOT. ice_thermo) 
 !      ================================
@@ -691,7 +686,7 @@
      ! ----------------------------------------------------------------
      ENDIF ! (iflag_evap_prec>=1)
-     !
+
      ! Calculer Qs et L/Cp*dQs/dT:
-     !
+
      IF (thermcep) THEN
         DO i = 1, klon
@@ -722,8 +717,8 @@
         ENDDO
      ENDIF
-     !
+
      ! Determiner la condensation partielle et calculer la quantite
      ! de l'eau condensee:
-     !
+
 !verification de la valeur de iflag_fisrtilp_qsat pour iflag_ice_thermo=1
 !       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) then
@@ -742,10 +737,10 @@
      !   zt : temperature de la maille
      ! ----------------------------------------------------------------
-     !
+
      IF (cpartiel) THEN
         ! -------------------------
         ! P2.A> Nuage fractionnaire
         ! -------------------------
-        !
+
         !   Calcul de l'eau condensee et de la fraction nuageuse et de l'eau
         !   nuageuse a partir des PDF de Sandrine Bony.
@@ -755,5 +750,5 @@
         !  on prend en compte le réchauffement qui diminue la partie
         ! condensee
-        !
+
         !   Version avec les raqts
 
@@ -863,5 +858,5 @@
                  if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) then
                  ! si on n'a pas converge
-                 !
+
                  ! P2.A.2.1> Calcul de la fraction nuageuse et de la quantite d'eau condensee
                  ! ---------------------------------------------------------------
@@ -871,5 +866,5 @@
                  ! zcond: eau condensee en moyenne dans la maille
                  ! rhcl: humidite relative ciel-clair
-                 !
+
                  Tbef(i)=Tbef(i)+DT(i) ! nouvelle temperature
                  if (.not.ice_thermo) then   
@@ -1050,5 +1045,5 @@
         !   rhcl: humidite relative ciel-clair
         ! ----------------------------------------------------------------
-        !
+
         ! Bornage de l'eau in-cloud (zqn) et de la fraction nuageuse (rneb) 
         ! Calcule de l'eau condensee moyenne dans la maille (zcond),
@@ -1094,5 +1089,5 @@
         ENDDO
      ENDIF ! de IF (cpartiel) 
-     !
+
      ! Mise a jour vapeur d'eau
      ! -------------------------
@@ -1107,5 +1102,5 @@
      ! Variable calcule:
      !   zt : temperature de la maille
-     !
+
      IF (.NOT. ice_thermo) THEN
         if (iflag_fisrtilp_qsat<1) then
@@ -1166,7 +1161,6 @@
      ! P3> Formation des precipitations
      ! ----------------------------------------------------------------
-     !
+
      ! Partager l'eau condensee en precipitation et eau liquide nuageuse
-     !
 
 !<LTP
@@ -1269,5 +1263,5 @@
         ENDIF
      ENDDO
-     !
+
      DO n = 1, ninter
         DO i = 1, klon
@@ -1334,5 +1328,5 @@
 
      ! ----------------------------------------------------------------
-     !
+
      IF (.NOT. ice_thermo) THEN
        DO i = 1, klon
@@ -1344,5 +1338,5 @@
        ENDDO
      ELSE
-!
+
 !CR&JYG<
 ! On prend en compte l'effet Bergeron dans les flux de precipitation :
@@ -1355,5 +1349,5 @@
 ! Le condensat precipitant solide est augmente.
 ! La vapeur d'eau est augmentee.
-!
+
        IF ((iflag_bergeron == 2)) THEN
          DO i = 1, klon
@@ -1559,16 +1553,16 @@
      ! Fin de formation des precipitations
      ! ----------------------------------------------------------------
-     !
+
      ! Calculer les tendances de q et de t:
-     !
+
      DO i = 1, klon
         d_q(i,k) = zq(i) - q(i,k)
         d_t(i,k) = zt(i) - t(i,k)
      ENDDO
-     !
+
      !AA--------------- Calcul du lessivage stratiforme  -------------
 
      DO i = 1,klon
-        !
+
         if(zcond(i)>zoliq(i)+1.e-10) then
          beta(i,k) = (zcond(i)-zoliq(i))/zcond(i)/dtime
@@ -1596,12 +1590,12 @@
            pfrac_nucl(i,k)=pfrac_nucl(i,k)*(1.-zneb(i)*zfrac_lessi)
            frac_nucl(i,k)= 1.-zneb(i)*zfrac_lessi 
-           !
+
            ! nucleation avec un facteur -1 au lieu de -0.5
            zfrac_lessi = 1. - EXP(-zprec_cond(i)/zneb(i))
            pfrac_1nucl(i,k)=pfrac_1nucl(i,k)*(1.-zneb(i)*zfrac_lessi)
         ENDIF
-        !
+
      ENDDO      ! boucle sur i
-     !
+
      !AA Lessivage par impaction dans les couches en-dessous
      DO kk = k-1, 1, -1
@@ -1627,13 +1621,13 @@
         ENDDO
      ENDDO
-     !
+
      !AA===============================================================
      !                     FIN DE LA BOUCLE VERTICALE  
   end DO
-  !
+
   !AA==================================================================
-  !
+
   ! Pluie ou neige au sol selon la temperature de la 1ere couche
-  !
+
 !CR: si la thermo de la glace est active, on calcule zifl directement
   IF (.NOT.ice_thermo) THEN
@@ -1658,5 +1652,5 @@
    
    ENDIF
-  !
+
   ! For energy conservation : when snow is present, the solification
   ! latent heat is considered.
@@ -1672,5 +1666,4 @@
   END DO
   ENDIF
-  !
 
   if (ncoreczq>0) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90	(revision 5099)
@@ -15,5 +15,5 @@
 ! Computes the processes-oriented precipitation formulations for
 ! evaporation and sublimation
-! 
+
 SUBROUTINE poprecip_precld( &
            klon, dtime, iftop, paprsdn, paprsup, pplay, temp, tempupnew, qvap, &
@@ -271,5 +271,5 @@
 ! - melting (melt)
 ! - freezing (freez)
-! 
+
 SUBROUTINE poprecip_postcld( &
            klon, dtime, paprsdn, paprsup, pplay, ctot_vol, ptconv, &
@@ -619,7 +619,7 @@
     ! Liquid water quantity to remove according to (Sundqvist, 1978)
     ! dqliq/dt = -qliq/tau * ( 1-exp(-(qliqincld/qthresh)**2) )
-    !
+
     !--And same formula for ice
-    !
+
     !--We first treat the second term (with exponential) in an explicit way
     !--and then treat the first term (-q/tau) in an exact way
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5099)
@@ -367,10 +367,10 @@
 
 ! References:
-!
+
 ! Etienne Vignon: effect of subgrid turbulence on ratqs
-!
+
 ! Field, P.R., Hill, A., Furtado, K., Korolev, A., 2014b. Mixed-phase clouds in a turbulent environment. Part
 ! 2: analytic treatment. Q. J. R. Meteorol. Soc. 21, 2651???2663. https://doi.org/10.1002/qj.2175.
-! 
+
 ! Furtado, K., Field, P.R., Boutle, I.A., Morcrette, C.R., Wilkinson, J., 2016. A physically-based, subgrid
 ! parametrization for the production and maintenance of mixed-phase clouds in a general circulation
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5099)
@@ -1,6 +1,6 @@
 MODULE lmdz_thermcell_alim
-!
+
 ! $Id: thermcell_plume.F90 2311 2015-06-25 07:45:24Z emillour $
-!
+
 CONTAINS
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5099)
@@ -1,5 +1,5 @@
 MODULE lmdz_thermcell_alp
 ! $Id: thermcell_main.F90 2351 2015-08-25 15:14:59Z emillour $
-!
+
 CONTAINS
 
@@ -10,5 +10,5 @@
                     ,zw2,fraca &                                           ! in
                     ,pcon,rhobarz,wth3,wmax_sec,lalim,fm,alim_star,zmax &  ! in
-!
+
                     ,zcong,ale_bl,alp_bl,lalim_conv,wght_th &                    ! out
                     ,zlcl,fraca0,w0,w_conv,therm_tke_max0,env_tke_max0 &   ! out
@@ -24,5 +24,5 @@
 
 !=======================================================================
-!
+
 !   Auteurs: Catherine Rio
 !   Modifications :
@@ -31,5 +31,5 @@
 !   Frédéric Hourdin :
 !         netoyage informatique. 2022
-!   
+
 !=======================================================================
 !-----------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5099)
@@ -1,6 +1,6 @@
 MODULE lmdz_thermcell_closure
-!
+
 ! $Header$
-!
+
 CONTAINS
 
@@ -10,5 +10,5 @@
 !-------------------------------------------------------------------------
 !thermcell_closure: fermeture, determination de f
-!
+
 ! Modification 7 septembre 2009
 ! 1. On enleve alim_star_tot des arguments pour le recalculer et etre ainis
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5099)
@@ -287,5 +287,5 @@
    ! Si l'air est sec (et qu'on oublie le c??t?? theta_v) on peut
    ! se contenter de conserver theta.
-   !
+
    ! Connaissant thetadn, on peut calculer la flotabilit??.
    ! Connaissant la flotabilit??, on peut calculer w de proche en proche
@@ -298,6 +298,4 @@
 !------------------
 
-
-!
  RETURN
    END
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5099)
@@ -9,14 +9,14 @@
 
 !=======================================================================
-!
+
 !   Calcul du transport verticale dans la couche limite en presence
 !   de "thermiques" explicitement representes
 !   calcul du dq/dt une fois qu'on connait les ascendances
-!
+
 ! Modif 2013/01/04 (FH hourdin@lmd.jussieu.fr)
 !  Introduction of an implicit computation of vertical advection in
 !  the environment of thermal plumes in thermcell_dq
 !  impl =     0 : explicit, 1 : implicit, -1 : old version
-!
+
 !=======================================================================
 
@@ -163,9 +163,9 @@
 
 !=======================================================================
-!
+
 !   Calcul du transport verticale dans la couche limite en presence
 !   de "thermiques" explicitement representes
 !   calcul du dq/dt une fois qu'on connait les ascendances
-!
+
 !=======================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5099)
@@ -1,6 +1,6 @@
 MODULE lmdz_thermcell_dry
-!
+
 ! $Id$
-!
+
 CONTAINS
 
@@ -136,5 +136,5 @@
       enddo
        if (prt_level>=1) print*,'fin calcul zw2'
-!
+
 ! Determination de zw2 max
       do ig=1,ngrid
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5099)
@@ -8,9 +8,9 @@
 
 !=======================================================================
-!
+
 !   Calcul du transport verticale dans la couche limite en presence
 !   de "thermiques" explicitement representes
 !   calcul du dq/dt une fois qu'on connait les ascendances
-!
+
 !=======================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5099)
@@ -9,11 +9,11 @@
 
 !=======================================================================
-!
+
 !   Calcul du transport verticale dans la couche limite en presence
 !   de "thermiques" explicitement representes
 !   calcul du dq/dt une fois qu'on connait les ascendances
-!
+
 ! Vectorisation, FH : 2010/03/08
-!
+
 !=======================================================================
 
@@ -186,5 +186,5 @@
       enddo
    endif
-!
+
      if (nlarga0>0) then
           print*,'WARNING !!!!!! DANS THERMCELL_DV2 '
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5099)
@@ -37,5 +37,4 @@
    mask(:,:)=.true.
 
-!
 ! calcul des caracteristiques de l environnement
    DO  ll=1,nlay
@@ -76,5 +75,5 @@
 !Thetal
             zthl(ig,ll)=pt(ig,ll)/zpspsk(ig,ll)
-!            
+
       enddo
    enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5099)
@@ -1,6 +1,6 @@
 MODULE lmdz_thermcell_flux2
-!
+
 ! $Id$
-!
+
 CONTAINS
 
@@ -404,6 +404,4 @@
         enddo
 !    enddo
-!
-
 
       if (prt_level>=10) &
@@ -480,5 +478,5 @@
       endif
       endif
-!                  
+
 !              ddd=detr(ig)-entre
 !on s assure que tout s annule bien en zmax
@@ -495,5 +493,5 @@
 !IM 090508 beg
 !     if (ncorecfm1+ncorecfm2+ncorecfm3+ncorecfm4+ncorecfm5+ncorecalpha > 0 ) then
-!
+
 !         print*,'PB thermcell : on a du coriger ',ncorecfm1,'x fm1',&
 !   &     ncorecfm2,'x fm2',ncorecfm3,'x fm3 et', &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5099)
@@ -56,5 +56,5 @@
          endif
       enddo 
-!    
+
 ! Determination de zw2 max
       do ig=1,ngrid
@@ -125,5 +125,5 @@
       endif
 !endif iflag_thermals_ed
-!
+
 ! def de  zmix continu (profil parabolique des vitesses)
       do ig=1,ngrid
@@ -135,5 +135,5 @@
           *((zlev(ig,lmix(ig)-1))-(zlev(ig,lmix(ig)))))>1e-10)  &
           then
-!             
+
             zmix(ig)=((zw2(ig,lmix(ig)-1)-zw2(ig,lmix(ig)))  &
           *((zlev(ig,lmix(ig)))**2-(zlev(ig,lmix(ig)+1))**2)  &
@@ -157,5 +157,5 @@
          endif
       enddo
-!
+
 ! calcul du nouveau lmix correspondant
       do ig=1,ngrid
@@ -167,5 +167,5 @@
           enddo
       enddo
-!
+
  RETURN
       end
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5099)
@@ -1,5 +1,5 @@
 MODULE lmdz_thermcell_main
 ! $Id$
-!
+
 ! A REGARDER !!!!!!!!!!!!!!!!!
 ! ATTENTION : zpspsk est inout et out mais c'est pas forcement pour de bonnes raisons (FH, 2023)
@@ -63,11 +63,11 @@
 !   Calcul du transport vertical dans la couche limite en presence
 !   de "thermiques" explicitement representes avec processus nuageux
-!
+
 !   Reecriture a partir d'un listing papier a Habas, le 14/02/00
-!
+
 !   le thermique est suppose homogene et dissipe par melange avec
 !   son environnement. la longueur l_mix controle l'efficacite du
 !   melange
-!
+
 !   Le calcul du transport des differentes especes se fait en prenant
 !   en compte:
@@ -76,5 +76,5 @@
 !     3. un entrainement
 !     4. un detrainement
-!
+
 ! Modif 2013/01/04 (FH hourdin@lmd.jussieu.fr)
 !    Introduction of an implicit computation of vertical advection in
@@ -85,5 +85,5 @@
 !       17, 18 run with impl=1  : more stable
 !    15 and 17 correspond to the activation of the stratocumulus "bidouille"
-!
+
 ! Using
 !    abort_physic 
@@ -101,5 +101,5 @@
 !    thermcell_plume_5B
 !    thermcell_plume_6A
-!
+
 !=======================================================================
 
@@ -179,10 +179,8 @@
 #endif
 
-!
-
 !-----------------------------------------------------------------------
 !   initialisation:
 !   ---------------
-!
+
    fm=0. ; entr=0. ; detr=0.
 
@@ -196,5 +194,5 @@
          PRINT*,'ngrid  =',ngrid
       ENDIF
-!
+
 !print*,'thermcell_main debut'
 !     write(lunout,*)'WARNING thermcell_main f0=max(f0,1.e-2)'
@@ -214,5 +212,5 @@
 ! Calcul de T,q,ql a partir de Tl et qT dans l environnement
 !   --------------------------------------------------------------------
-!
+
           ! On condense l'eau liquide si besoin.
           ! En fait on arrive ici d'habitude (jusque 6A) après réévaporation
@@ -280,19 +278,18 @@
 !------------------------------------------------------------------------
 !                       --------------------
-!
-!
+
+
 !                       + + + + + + + + + + +
-!
-!
+
+
 !  wa, fraca, wd, fracd --------------------   zlev(2), rhobarz
 !  wh,wt,wo ...
-!
+
 !                       + + + + + + + + + + +  zh,zu,zv,z_o,rho
-!
-!
+
+
 !                       --------------------   zlev(1)
 !                       \\\\\\\\\\\\\\\\\\\\
-!
-!
+
 
 !-----------------------------------------------------------------------
@@ -328,5 +325,5 @@
 
 !------------------------------------------------------------------
-!
+
 !             /|\
 !    --------  |  F_k+1 -------   
@@ -336,11 +333,11 @@
 !                              ----> D_k-1
 !                              <---- E_k-1 , A_k-1
-!
-!
-!
-!
-!
+
+
+
+
+
 !    ---------------------------
-!
+
 !    ----- F_lmax+1=0 ----------         \
 !            lmax     (zmax)              |
@@ -370,9 +367,9 @@
 !    lmin  (=1 pour le moment)     |      |
 !    ----- F_lmin=0 ------------  /      /
-!
+
 !    ---------------------------
 !    //////////////////////////
-!
-!
+
+
 !=============================================================================
 !  Calculs initiaux ne faisant pas intervenir les changements de phase
@@ -384,5 +381,5 @@
 !  2. lmin et lalim sont les indices inferieurs et superieurs de alim_star
 !------------------------------------------------------------------
-!
+
       entr_star=0. ; detr_star=0. ; alim_star=0. ; alim_star_tot=0.
       lmin=1
@@ -397,5 +394,5 @@
 !calcul du melange et des variables dans le thermique
 !--------------------------------------------------------------------------------
-!
+
       if (prt_level>=1) print*,'avant thermcell_plume ',lev_out
 
@@ -455,5 +452,5 @@
 ! Calcul des caracteristiques du thermique:zmax,zmix,wmax
 !-------------------------------------------------------------------------------
-!
+
       CALL thermcell_height(ngrid,nlay,lalim,lmin,linter,lcong,lintercong,lmix,zw2,  &
              zlev,lmax,zmax,zmax0,zmix,wmax,zcong)
@@ -478,6 +475,6 @@
 ! Fermeture,determination de f
 !-------------------------------------------------------------------------------
-!
-!
+
+
       CALL thermcell_dry(ngrid,nlay,zlev,pphi,ztv,alim_star,  &
                         lalim,lmin,zmax_sec,wmax_sec)
@@ -504,5 +501,5 @@
       alim_star_clos(:,:)=alim_star(:,:)
       alim_star_clos(:,:)=entr_star(:,:)+alim_star(:,:)
-!
+
 !CR Appel de la fermeture seche 
       if (iflag_thermals_closure==1) then
@@ -762,5 +759,5 @@
             zf=fraca(ig,l)
             zf2=zf/(1.-zf)
-!
+
             thetath2(ig,l)=zf2*(ztla(ig,l)-zthl(ig,l))**2
             if(zw2(ig,l)>1.e-10) then
@@ -879,9 +876,9 @@
 
 !=======================================================================
-!
+
 !   Calcul du transport verticale dans la couche limite en presence
 !   de "thermiques" explicitement representes
 !   calcul du dq/dt une fois qu'on connait les ascendances
-!
+
 !=======================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.F90	(revision 5099)
@@ -1,6 +1,6 @@
 MODULE lmdz_thermcell_plume
-!
+
 ! $Id: thermcell_plume.F90 3074 2017-11-15 13:31:44Z fhourdin $
-!
+
 CONTAINS
 
@@ -13,5 +13,5 @@
 !--------------------------------------------------------------------------
 ! Auhtors : Catherine Rio, Frédéric Hourdin, Arnaud Jam
-!
+
 !thermcell_plume: calcule les valeurs de qt, thetal et w dans l ascendance
 !   This versions starts from a cleaning of thermcell_plume_6A (2019/01/20)
@@ -188,5 +188,4 @@
     endif
 enddo
-!
 
 !==============================================================================
@@ -376,5 +375,5 @@
 
    if (prt_level>=20) print*,'coucou calcul detr 460: ig, l',ig, l
-!
+
 !===========================================================================
 ! 6. initialisations pour le calcul de la hauteur du thermique, de l'inversion et de la vitesse verticale max 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.F90	(revision 5099)
@@ -1,6 +1,6 @@
 MODULE lmdz_thermcell_plume_6A
-!
+
 ! $Id$
-!
+
 CONTAINS
 
@@ -186,5 +186,4 @@
     endif
 enddo
-!
 
 !==============================================================================
@@ -622,5 +621,5 @@
 
         if (prt_level>=20) print*,'coucou calcul detr 460: ig, l',ig, l
-!
+
 !===========================================================================
 ! 6. initialisations pour le calcul de la hauteur du thermique, de l'inversion et de la vitesse verticale max 
@@ -899,5 +898,4 @@
     endif
 enddo
-!
 
 !==============================================================================
@@ -1041,5 +1039,5 @@
 
         if (prt_level>=20) print*,'coucou calcul detr 460: ig, l',ig, l
-!
+
 !---------------------------------------------------------------------------
 !initialisations pour le calcul de la hauteur du thermique, de l'inversion et de la vitesse verticale max 
